<?xml version="1.0" encoding="UTF-8"?>

<!--
  Copyright (c) 2015, 2019, Gluon and/or its affiliates.
  All rights reserved. Use is subject to license terms.

  This file is available and licensed under the following license:

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

  - Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  - Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the distribution.
  - Neither the name of Oracle Corporation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.effect.DropShadow?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<VBox prefHeight="400.0" prefWidth="640.0" xmlns="http://javafx.com/javafx/19" xmlns:fx="http://javafx.com/fxml/1" fx:controller="recruitment.RecruitmentController">
  <children>
    <AnchorPane maxHeight="-1.0" maxWidth="-1.0" prefHeight="400.0" prefWidth="730.0" VBox.vgrow="ALWAYS">
      <children>
            <Pane prefHeight="400.0" prefWidth="167.0" style="-fx-background-color: #E8E2E2;">
               <children>
                  <Button fx:id="admin" layoutX="-3.0" layoutY="140.0" mnemonicParsing="false" onAction="#admin" prefHeight="35.0" prefWidth="140.0" style="-fx-background-color: f5f5f5;" text="Admin" textFill="#f2921d">
                     <font>
                        <Font name="System Bold Italic" size="16.0" />
                     </font>
                     <effect>
                        <DropShadow />
                     </effect>
                  </Button>
                  <Button fx:id="recruitment" layoutX="-3.0" layoutY="200.0" mnemonicParsing="false" onAction="#recruitment" prefHeight="35.0" prefWidth="140.0" style="-fx-background-color: f99417;" text="Recruitment" textFill="WHITESMOKE">
                     <font>
                        <Font name="System Bold Italic" size="16.0" />
                     </font>
                     <effect>
                        <DropShadow />
                     </effect>
                  </Button>
                  <ImageView fitHeight="35.0" fitWidth="161.0" layoutX="3.0" layoutY="14.0">
                     <image>
                        <Image url="@ohrm_branding.png" />
                     </image>
                  </ImageView>
                  <Button fx:id="dashboard" layoutY="260.0" mnemonicParsing="false" onAction="#dashboard" prefHeight="35.0" prefWidth="140.0" style="-fx-background-color: f5f5f5;" text="DashBoard" textFill="#f2921d">
                     <font>
                        <Font name="System Bold Italic" size="16.0" />
                     </font>
                     <effect>
                        <DropShadow />
                     </effect>
                  </Button>
               </children>
            </Pane>
            <Pane layoutX="167.0" prefHeight="83.0" prefWidth="480.0" style="-fx-background-color: f99417;">
               <children>
              <Label alignment="CENTER" layoutX="26.0" layoutY="28.0" style="&#10;" text="Recruitment" textAlignment="CENTER" textFill="WHITE" wrapText="false">
                <font>
                  <Font name="System Bold" size="18.0" />
                </font>
              </Label>
               </children>
            </Pane>
            <ImageView fitHeight="177.0" fitWidth="176.0" layoutX="221.0" layoutY="149.0">
               <image>
                  <Image url="@Downloads/ohrm_logo.png" />
               </image>
            </ImageView>
            <Button fx:id="candidate" layoutX="457.0" layoutY="189.0" mnemonicParsing="false" onAction="#candidate" prefHeight="35.0" prefWidth="176.0" style="-fx-background-color: #F5F5F5;" text="Candidate" textFill="#f2921d">
               <font>
                  <Font name="System Bold" size="16.0" />
               </font>
               <effect>
                  <DropShadow />
               </effect>
            </Button>
            <Button fx:id="vacancy" layoutX="457.0" layoutY="260.0" mnemonicParsing="false" onAction="#vacancy" prefHeight="35.0" prefWidth="176.0" style="-fx-background-color: #F5F5F5;" text="Vacancy" textFill="#f2921d">
               <font>
                  <Font name="System Bold" size="16.0" />
               </font>
               <effect>
                  <DropShadow />
               </effect>
            </Button>
            <Button fx:id="cancel" layoutX="221.0" layoutY="338.0" mnemonicParsing="false" onAction="#cancel" prefHeight="35.0" prefWidth="140.0" style="-fx-background-color: f5f5f5;" text="Cancel" textFill="#f2921d">
               <effect>
                  <DropShadow />
               </effect>
               <font>
                  <Font name="System Bold Italic" size="16.0" />
               </font>
            </Button>
            <Button fx:id="exit" layoutX="475.0" layoutY="338.0" mnemonicParsing="false" onAction="#exit" prefHeight="35.0" prefWidth="140.0" style="-fx-background-color: f5f5f5;" text="Exit" textFill="#f2921d">
               <effect>
                  <DropShadow />
               </effect>
               <font>
                  <Font name="System Bold Italic" size="16.0" />
               </font>
            </Button>
      </children>
    </AnchorPane>
  </children>
</VBox>
